'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _namespace = require('../../namespace');

var _namespace2 = _interopRequireDefault(_namespace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_namespace2.default.namespace('ima.page.renderer');

/**
 * Blank managed root view does not nothing except for rendering the current
 * page view.
 *
 * This is the default managed root view.
 */
class BlankManagedRootView extends _react2.default.Component {

	static get propTypes() {
		return {
			$pageView: _propTypes2.default.func
		};
	}

	static get defaultProps() {
		return {
			$pageView: null
		};
	}

	/**
  * @inheritdoc
  */
	render() {
		let pageView = this.props.$pageView;
		if (!pageView) {
			return null;
		}

		return _react2.default.createElement(pageView, this.props);
	}
}

exports.default = BlankManagedRootView;
_namespace2.default.ima.page.renderer.BlankManagedRootView = BlankManagedRootView;

typeof $IMA !== 'undefined' && $IMA !== null && $IMA.Loader && $IMA.Loader.register('ima/page/renderer/BlankManagedRootView', [], function (_export, _context) {
	'use strict';
	return {
		setters: [],
		execute: function () {
			_export('default', exports.default);
		}
	};
});
