'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _namespace = require('../../namespace');

var _namespace2 = _interopRequireDefault(_namespace);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_namespace2.default.namespace('ima.page.state');

/**
 * Manager of the current page state and state history.
 */
class PageStateManager {

	/**
  * Clears the state history.
  */
	clear() {}

	/**
  * Sets a new page state by applying the provided patch to the current
  * state.
  *
  * @param {Object<string, *>} statePatch The patch of the current state.
  */
	setState(statePatch) {}

	/**
  * Returns the current page state.
  *
  * @return {Object<string, *>} The current page state.
  */
	getState() {}

	/**
  * Returns the recorded history of page states. The states will be
  * chronologically sorted from the oldest to the newest.
  *
  * Note that the implementation may limit the size of the recorded history,
  * therefore the complete history may not be available.
  *
  * @return {Object<string, *>[]} The recorded history of page states.
  */
	getAllStates() {}

}

exports.default = PageStateManager;
_namespace2.default.ima.page.state.PageStateManager = PageStateManager;

typeof $IMA !== 'undefined' && $IMA !== null && $IMA.Loader && $IMA.Loader.register('ima/page/state/PageStateManager', [], function (_export, _context) {
	'use strict';
	return {
		setters: [],
		execute: function () {
			_export('default', exports.default);
		}
	};
});
